Subject: bug#58545: 28.2; Toolbar icons missing until X server is restarted

From: Xuanrui Qi <[email-masked]>
Date: Tue, 18 Oct 2022 03:44:20 +0900

> just the window manager
Yes, you are right, I was restarting the window manager. Alternatively, altering
any of the theme settings also cause icons to appear properly, probably because
all windows are reloaded.

> What about the GTK icon browser?
Everything seems to work and in particular there are no missing icons.

On Sun, 2022-10-16 at 08:28 +0800, Po Lu wrote:
> Xuanrui Qi <[email-masked]> writes:
> 
> > When running Emacs, initially I see no icons on the toolbar, only
> > text ("save", "undo", etc). However, if I restart my X server by e.g.
> > pressing
> > Alt-F2 and then
> > typing "r" under GDM, the icons appear correctly on the toolbar.
> 
> If you mean in the "Run a Command" dialog used by GNOME Shell, then you
> aren't restarting the X server, just the window manager.
> 
> > I have not been able to fix this problem even by reinstalling Emacs and
> > clearing all Emacs configuration files, and I could not reproduce it on
> > any other systems I control either, even though they are very similarly
> > configured.
> > 
> > I am not sure if this is a Emacs problem, but I don't see any missing
> > icons in other GTK applications.
> 
> What about the GTK icon browser?